net.sf.jasperreports.export.type

## Enum PdfPermissionsEnum

- java.lang.Object
- - java.lang.Enum<PdfPermissionsEnum>
  - - net.sf.jasperreports.export.type.PdfPermissionsEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PdfPermissionsEnum>, NamedEnum

      public enum PdfPermissionsEnum
      extends java.lang.Enum<PdfPermissionsEnum>
      implements NamedEnum

  Version:
    $Id: PdfPermissionsEnum.java 6885 2014-02-11 08:53:01Z shertage $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` All user permissions
    `ASSEMBLY` Assembly permission
    `COPY` Copy permission
    `DEGRADED_PRINTING` Degraded printing permission
    `FILL_IN` Fill in forms permission
    `MODIFY_ANNOTATIONS` Modify annotations permission
    `MODIFY_CONTENTS` Modify contents permission
    `PRINTING` Print permission
    `SCREENREADERS` Screen readers permission

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PdfPermissionsEnum` | `getByName(java.lang.String name)`
    `static PdfPermissionsEnum` | `getByValue(byte value)`
    `static PdfPermissionsEnum` | `getByValue(java.lang.Integer value)`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.Integer` | `getValueInteger()`
    `static PdfPermissionsEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PdfPermissionsEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL

          public static final PdfPermissionsEnum ALL

      All user permissions

    - #### ASSEMBLY

          public static final PdfPermissionsEnum ASSEMBLY

      Assembly permission

    - #### COPY

          public static final PdfPermissionsEnum COPY

      Copy permission

    - #### DEGRADED_PRINTING

          public static final PdfPermissionsEnum DEGRADED_PRINTING

      Degraded printing permission

    - #### FILL_IN

          public static final PdfPermissionsEnum FILL_IN

      Fill in forms permission

    - #### MODIFY_ANNOTATIONS

          public static final PdfPermissionsEnum MODIFY_ANNOTATIONS

      Modify annotations permission

    - #### MODIFY_CONTENTS

          public static final PdfPermissionsEnum MODIFY_CONTENTS

      Modify contents permission

    - #### PRINTING

          public static final PdfPermissionsEnum PRINTING

      Print permission

    - #### SCREENREADERS

          public static final PdfPermissionsEnum SCREENREADERS

      Screen readers permission

  - ### Method Detail

    - #### values

          public static PdfPermissionsEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PdfPermissionsEnum c : PdfPermissionsEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PdfPermissionsEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueInteger

          public java.lang.Integer getValueInteger()

    - #### getValue

          public final int getValue()

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static PdfPermissionsEnum getByName(java.lang.String name)

    - #### getByValue

          public static PdfPermissionsEnum getByValue(java.lang.Integer value)

    - #### getByValue

          public static PdfPermissionsEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com